[tool.poetry]
name = "droniada-telem"
version = "0.1.0"
description = ""
authors = ["Wint3rmute <mateusz.baczek1998@gmail.com>"]

[tool.poetry.dependencies]
python = "^3.9"
influxdb-client = "^1.17.0"
fastapi = "^0.65.1"
uvicorn = "^0.13.4"
python-multipart = "^0.0.5"
requests = "^2.25.1"
Pillow = "^8.2.0"
dacite = "^1.6.0"
geopy = "^2.1.0"
numpy = "^1.20.3"
Shapely = "^1.7.1"
pymongo = "^3.11.4"
dnspython = "^2.1.0"

[tool.poetry.dev-dependencies]
mypy = "^0.812"
radon = "^4.5.1"
xenon = "^0.7.1"
pylint = "^2.8.2"
pytest = "^6.2.4"
black = "^21.5b1"
isort = "^5.8.0"

[build-system]
requires = ["poetry-core>=1.0.0"]
build-backend = "poetry.core.masonry.api"
